# DB table list

## 프로젝트 initializing 시에 데이터를 초기화해야 될 테이블

## Initializing DB table list

Note1 : In initializing stage, Project leader must truncate tables below:

Note2 : xgroup table means 1 to many category naming convension

Note3 : xxx_taxo means many to many taxonomy naming convension



## Users table : core table
|     Prefix-Usage  |      TableName      |  Description | Init Record | Depret |
|----------|-------------|------|------|------|
|users|ERP User, Admins|#1 Record| | |

.
## Master table list
|     Prefix-Usage  |      TableName      |  Description | Init Record | Depret |
|----------|-------------|------|------|------|
|dbr(ERP)|igroup|Item Group| #1 Record| |
||cgroup|Company Group| #1 Record| |
||sgroup|Sales Group| #1 Record| |
||agroup|Accounting Group| #1 Record| |
||branch|Branch Office Group| #1 Record| |
||storage|Storage or Warehouses| #1 Record| |

.
## Basic(SubMaster) table list
|     Prefix-Usage  |      TableName      |  Description | Init Record | Depret |
|----------|-------------|------|------|------|
|dbr(ERP)|item|Goods, Products and Materials| | |
||company|Buyers, Suppliers and Customers| | |


## Composing table list
|     Prefix-Usage  |      TableName      |  Description | Init Record | Depret |
|----------|-------------|------|------|------|
|dbr(ERP)|user_menu|ERP, admin menu table| Full Set| |
||user_perms|ERP, admin menu permission table| | |
||user_perms_bd|ERP, admin menu permission Body table| | |
||Buyers, Suppliers and Customers| | |

## System Code table list : should not truncate:
|     Prefix-Usage  |      TableName      |  Description | Init Record | Depret |
|----------|-------------|------|------|------|
|dbr(ERP)|deal_type|Deal Type such as Sales, SalesReturn| Full Set| |
||vat_rate|Vat Rate| | |
||user_perms_bd|ERP, admin menu permission Body table| | |
||company|Buyers, Suppliers and Customers| | |